Subject: I-D Action:draft-ietf-l3vpn-mvpn-infra-addrs-04.txt

From: [email-masked]
Date: Mon, 09 May 2011 08:00:01 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Layer 3 Virtual Private Networks Working Group of the IETF.

	Title           : IPv4 and IPv6 Infrastructure Addresses in BGP Updates for Multicast VPN
	Author(s)       : R. Aggarwal, E. Rosen
	Filename        : draft-ietf-l3vpn-mvpn-infra-addrs-04.txt
	Pages           : 9
	Date            : 2011-05-09

To provide Multicast VPN (MVPN) service, Provider Edge routers
originate BGP Update messages that carry Multicast-VPN ("MCAST-VPN")
BGP routes; they also originate unicast VPN routes that carry MVPN-
specific attributes.  These routes encode addresses from the
customer's address space, as well as addresses from the provider's
address space.  These two address spaces are independent, and the
address family (IPv4 or IPv6) of the two spaces may or may not be the
same.  These routes always contain an "address family" field that
specifies whether the customer addresses are IPv4 addresses or
whether they are IPv6 addresses.  However, there is no field that
explicitly specifies the address family of the provider addresses.
To ensure interoperability, this document specifies that provider
IPv4 addresses are always encoded in these update messages as four-
octet addresses, and that the distinction between IPv4 and IPv6 is
signaled solely by the length of the address field.  Specific cases
are explained in detail.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-l3vpn-mvpn-infra-addrs-04.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.